Create Product or Packaging
curl --request POST \
--url https://{base_url_domain}/api/global/v1/inventory/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"resource": {
"type": "Product",
"vendor_sku": "Vendor-SKU-1AD2",
"external_id": "11-993-9048",
"barcodes": [
"956623520-4",
"O-VS-Oregano-p3"
],
"is_available": true,
"is_visible": true,
"lot_type": {
"type": "LotType",
"id": 4
},
"weight": {
"value": 20
},
"dimensions": {
"length": 8,
"width": 6,
"height": 4
},
"volume": {
"value": 300
},
"inventory": {
"backorders": true,
"dynamic_allocation": true,
"virtual_inventory": "optimistic"
},
"export": {
"description": "Plastic children's toy with steel weights and ball bearings",
"customs_value": {
"amount": 99,
"currency": "USD"
},
"country_of_manufacture": "TW",
"hs_base_code": "8518.30",
"hs_country_extension": [
{
"country_id": "TW",
"extension": "002"
},
{
"country_id": "US",
"extension": "011"
}
]
},
"regulated_goods": {
"regulation": {
"type": "Regulation",
"id": 123
},
"technical_name": "Hydro Polymer Acetylene Coating",
"additional_information": "Flamable Liquid",
"net_weight": {
"value": 20
},
"container_type": "Plastic Box",
"container_meets_hazmat_specs": true,
"regulation_units": 5
},
"packaging": {
"require_packaging": true,
"require_weight_check": true,
"require_confirmation_per_item": true,
"unit_quantity": 1,
"bulk_quantity": 10,
"max_per_package": 15,
"is_ship_separately": true,
"ship_separately_tag": "PVC",
"can_tip": true,
"can_contain_other_items": true,
"is_handling_surcharge": true
},
"custom_fields": [
{
"code": "color",
"value": 13,
"label": "Red and Black"
},
{
"code": "cost_of_goods",
"value": 41.32
},
{
"code": "allow_mailer",
"value": true
}
],
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": true
}
}
EOFimport requests
url = "https://{base_url_domain}/api/global/v1/inventory/products"
payload = { "resource": {
"type": "Product",
"vendor_sku": "Vendor-SKU-1AD2",
"external_id": "11-993-9048",
"barcodes": ["956623520-4", "O-VS-Oregano-p3"],
"is_available": True,
"is_visible": True,
"lot_type": {
"type": "LotType",
"id": 4
},
"weight": { "value": 20 },
"dimensions": {
"length": 8,
"width": 6,
"height": 4
},
"volume": { "value": 300 },
"inventory": {
"backorders": True,
"dynamic_allocation": True,
"virtual_inventory": "optimistic"
},
"export": {
"description": "Plastic children's toy with steel weights and ball bearings",
"customs_value": {
"amount": 99,
"currency": "USD"
},
"country_of_manufacture": "TW",
"hs_base_code": "8518.30",
"hs_country_extension": [
{
"country_id": "TW",
"extension": "002"
},
{
"country_id": "US",
"extension": "011"
}
]
},
"regulated_goods": {
"regulation": {
"type": "Regulation",
"id": 123
},
"technical_name": "Hydro Polymer Acetylene Coating",
"additional_information": "Flamable Liquid",
"net_weight": { "value": 20 },
"container_type": "Plastic Box",
"container_meets_hazmat_specs": True,
"regulation_units": 5
},
"packaging": {
"require_packaging": True,
"require_weight_check": True,
"require_confirmation_per_item": True,
"unit_quantity": 1,
"bulk_quantity": 10,
"max_per_package": 15,
"is_ship_separately": True,
"ship_separately_tag": "PVC",
"can_tip": True,
"can_contain_other_items": True,
"is_handling_surcharge": True
},
"custom_fields": [
{
"code": "color",
"value": 13,
"label": "Red and Black"
},
{
"code": "cost_of_goods",
"value": 41.32
},
{
"code": "allow_mailer",
"value": True
}
],
"sku": "SKU-1AD",
"name": "Test Product",
"is_enabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resource: {
type: 'Product',
vendor_sku: 'Vendor-SKU-1AD2',
external_id: '11-993-9048',
barcodes: ['956623520-4', 'O-VS-Oregano-p3'],
is_available: true,
is_visible: true,
lot_type: {type: 'LotType', id: 4},
weight: {value: 20},
dimensions: {length: 8, width: 6, height: 4},
volume: {value: 300},
inventory: {backorders: true, dynamic_allocation: true, virtual_inventory: 'optimistic'},
export: {
description: 'Plastic children\'s toy with steel weights and ball bearings',
customs_value: {amount: 99, currency: 'USD'},
country_of_manufacture: 'TW',
hs_base_code: '8518.30',
hs_country_extension: [{country_id: 'TW', extension: '002'}, {country_id: 'US', extension: '011'}]
},
regulated_goods: {
regulation: {type: 'Regulation', id: 123},
technical_name: 'Hydro Polymer Acetylene Coating',
additional_information: 'Flamable Liquid',
net_weight: {value: 20},
container_type: 'Plastic Box',
container_meets_hazmat_specs: true,
regulation_units: 5
},
packaging: {
require_packaging: true,
require_weight_check: true,
require_confirmation_per_item: true,
unit_quantity: 1,
bulk_quantity: 10,
max_per_package: 15,
is_ship_separately: true,
ship_separately_tag: 'PVC',
can_tip: true,
can_contain_other_items: true,
is_handling_surcharge: true
},
custom_fields: [
{code: 'color', value: 13, label: 'Red and Black'},
{code: 'cost_of_goods', value: 41.32},
{code: 'allow_mailer', value: true}
],
sku: 'SKU-1AD',
name: 'Test Product',
is_enabled: true
}
})
};
fetch('https://{base_url_domain}/api/global/v1/inventory/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource": {
"type": "<string>",
"id": 1
},
"meta": {
"processing_time": 123
}
}{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Products
Create Product or Packaging
Creates a new Product or PackagingFeature in ShipStream according to the request body.
POST
/
v1
/
inventory
/
products
Create Product or Packaging
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Body
application/json
An object conforming to the Inventory Product or PackagingFeature schema to be created.
A Product contains information about a sellable item.
- Product
- PackagingContainer
- PackagingSupplies
- PackagingDataCollection
- PackagingInstruction
- PackagingInfill
Show child attributes
Show child attributes
Was this page helpful?
⌘I